Open CASCADE Technology: SelectMgr_ToleranceMap Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
SelectMgr_ToleranceMap Class Reference

An internal class for calculation of current largest tolerance value which will be applied for creation of selecting frustum by default. Each time the selection set is deactivated, maximum tolerance value will be recalculated. If a user enables custom precision using StdSelect_ViewerSelector3d::SetPixelTolerance, it will be applied to all sensitive entities without any checks. More...

`#include <SelectMgr_ViewerSelector.hxx>`

## Public Member Functions
| SelectMgr_ToleranceMap ()
| Sets tolerance values to -1.0. More...
| ~SelectMgr_ToleranceMap ()
void | Add (const Standard_Integer &theTolerance)
| Adds the value given to map, checks if the current tolerance value should be replaced by theTolerance. More...
void | Decrement (const Standard_Integer &theTolerance)
| Decrements a counter of the tolerance given, checks if the current tolerance value should be recalculated. More...
Standard_Integer | Tolerance () const
| Returns a current tolerance that must be applied. More...
void | SetCustomTolerance (const Standard_Integer theTolerance)
| Sets tolerance to the given one and disables adaptive checks. More...
void | ResetDefaults ()
| Unsets a custom tolerance and enables adaptive checks. More...

## Detailed Description

An internal class for calculation of current largest tolerance value which will be applied for creation of selecting frustum by default. Each time the selection set is deactivated, maximum tolerance value will be recalculated. If a user enables custom precision using StdSelect_ViewerSelector3d::SetPixelTolerance, it will be applied to all sensitive entities without any checks.

## Constructor & Destructor Documentation

SelectMgr_ToleranceMap::SelectMgr_ToleranceMap | ( |  | ) |

Sets tolerance values to -1.0.

SelectMgr_ToleranceMap::~SelectMgr_ToleranceMap | ( |  | ) |

## Member Function Documentation

void SelectMgr_ToleranceMap::Add | ( | const Standard_Integer & | theTolerance | ) |

Adds the value given to map, checks if the current tolerance value should be replaced by theTolerance.

void SelectMgr_ToleranceMap::Decrement | ( | const Standard_Integer & | theTolerance | ) |

Decrements a counter of the tolerance given, checks if the current tolerance value should be recalculated.

void SelectMgr_ToleranceMap::ResetDefaults | ( |  | ) |

Unsets a custom tolerance and enables adaptive checks.

void SelectMgr_ToleranceMap::SetCustomTolerance | ( | const Standard_Integer | theTolerance | ) |

Sets tolerance to the given one and disables adaptive checks.

Standard_Integer SelectMgr_ToleranceMap::Tolerance | ( |  | ) | const

Returns a current tolerance that must be applied.

The documentation for this class was generated from the following file:

- SelectMgr_ViewerSelector.hxx